org.apache.hadoop.yarn.client.api.impl

## Class TimelineConnector.TimelineClientRetryOp

- java.lang.Object
- - org.apache.hadoop.yarn.client.api.impl.TimelineConnector.TimelineClientRetryOp

- Direct Known Subclasses:
    TimelineConnector.TimelineClientRetryOpForOperateDelegationToken
  Enclosing class:
    TimelineConnector

      @InterfaceAudience.Private
      public abstract static class TimelineConnector.TimelineClientRetryOp
      extends Object

  Abstract class for an operation that should be retried by timeline client.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimelineClientRetryOp()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Object` | `run()`
    `abstract boolean` | `shouldRetryOn(Exception e)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimelineClientRetryOp

          public TimelineClientRetryOp()

  - ### Method Detail

    - #### run

          public abstract Object run()
                              throws IOException

      Throws:
        `IOException`

    - #### shouldRetryOn

          public abstract boolean shouldRetryOn(Exception e)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.